Oracle Java SE 1.7.0_311 / 1.8.0_301 / 1.11.0_12 / 1.16.0_2 多个漏洞(Unix 2021 年 7 月 CPU)

high Nessus 插件 ID 152021

简介

远程主机受到多个漏洞影响。

描述

远程主机上安装的 Oracle(旧称 Sun)Java SE 或 Java for Business 的版本低于 7 Update 301、11 Update 11 或 16 Update 1。因此,该应用程序受到 2021 年 7 月 CPU 公告中提及的多个漏洞的影响:

- Oracle Java SE 的 Java SE、Oracle GraalVM Enterprise Edition 产品中的漏洞(组件:Networking)。支持的版本中受影响的是 Java SE:7u301、8u291、11.0.11、16.0.1;Oracle GraalVM Enterprise Edition:20.3.2 和 21.1.0。难以利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而危害 Java SE、Oracle GraalVM Enterprise Edition。除攻击者以外的他人进行交互是实现成功攻击的必要条件。成功攻击此漏洞可导致在未经授权的境况下,对 Java SE、Oracle GraalVM Enterprise Edition 可访问数据的子集进行读取访问。此漏洞适用于需加载并运行不可信代码(如来自互联网的代码)且安全性依赖于 Java 沙盒的 Java 部署,该部署通常在需在沙盒中运行 Java Web Start 应用程序或需在沙盒中运行 Java 小程序的客户端上。此漏洞不适用于仅加载并运行可信代码(如管理员安装的代码)的 Java 部署,此部署通常存在于服务器上。(CVE-2021-2341)

- Oracle Java SE 的 Java SE、Oracle GraalVM Enterprise Edition 产品中的漏洞(组件:Library)。支持的版本中受影响的是 Java SE:7u301、8u291、11.0.11、16.0.1;Oracle GraalVM Enterprise Edition:20.3.2 和 21.1.0。可以轻松利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而危害 Java SE、Oracle GraalVM Enterprise Edition。除攻击者以外的他人进行交互是实现成功攻击的必要条件。若成功利用此漏洞进行攻击可导致在未经授权的情况下更新、插入或删除某些 Java SE、Oracle GraalVM Enterprise Edition 可访问数据的访问权限。此漏洞适用于需加载并运行不可信代码(如来自互联网的代码)且安全性依赖于 Java 沙盒的 Java 部署,该部署通常在需在沙盒中运行 Java Web Start 应用程序或需在沙盒中运行 Java 小程序的客户端上。此漏洞不适用于仅加载并运行可信代码(如管理员安装的代码)的 Java 部署,此部署通常存在于服务器上。(CVE-2021-2369)

- Oracle Java SE 的 Java SE、Oracle GraalVM Enterprise Edition 产品中的漏洞(组件:Hotspot)。支持的版本中受影响的是 Java SE:8u291、11.0.11、16.0.1;Oracle GraalVM Enterprise Edition:20.3.2 和 21.1.0。难以利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而危害 Java SE、Oracle GraalVM Enterprise Edition。除攻击者以外的他人进行交互是实现成功攻击的必要条件。成功攻击此漏洞可导致接管 Java SE、Oracle GraalVM Enterprise Edition。此漏洞适用于需加载并运行不可信代码(如来自互联网的代码)且安全性依赖于 Java 沙盒的 Java 部署,该部署通常在需在沙盒中运行 Java Web Start 应用程序或需在沙盒中运行 Java 小程序的客户端上。此漏洞不适用于仅加载并运行可信代码(如管理员安装的代码)的 Java 部署,此部署通常存在于服务器上。(CVE-2021-2388)

- Oracle Java SE 的 Java SE 产品中存在漏洞(组件:JNDI)。支持的版本中受影响的是 Java SE: 7u301。难以利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 Java SE。成功利用此漏洞进行攻击可导致在未经授权的情况下造成 Java SE 部分拒绝服务(部分 DOS)。此漏洞适用于需加载并运行不可信代码(如来自互联网的代码)且安全性依赖于 Java 沙盒的 Java 部署,该部署通常在需在沙盒中运行 Java Web Start 应用程序或需在沙盒中运行 Java 小程序的客户端上。此漏洞也可通过使用指定组件中的 API 加以利用,如通过向 API 提供数据的 Web 服务。(CVE-2021-2432)

请注意,Nessus 尚未测试此问题,而是只依赖于应用程序自我报告的版本号。

解决方案

根据 2021 年 7 月 Oracle 关键补丁更新公告,应用相应的补丁。

另见

https://www.oracle.com/a/tech/docs/cpujul2021cvrf.xml

https://www.oracle.com/security-alerts/cpujul2021.html#AppendixJAVA

插件详情

严重性: High

ID: 152021

文件名: oracle_java_cpu_jul_2021_unix.nasl

版本: 1.5

类型: local

代理: unix

系列: Misc.

发布时间: 2021/7/23

最近更新时间: 2022/4/11

配置: 启用彻底检查

支持的传感器: Nessus Agent

风险信息

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: Medium

基本分数: 5.1

时间分数: 3.8

矢量: AV:N/AC:H/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2021-2388

CVSS v3

风险因素: High

基本分数: 7.5

时间分数: 6.5

矢量: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/a:oracle:jre, cpe:/a:oracle:jdk

必需的 KB 项: Host/Java/JRE/Installed

易利用性: No known exploits are available

补丁发布日期: 2021/7/20

漏洞发布日期: 2021/7/20

参考资料信息

CVE: CVE-2021-2341, CVE-2021-2369, CVE-2021-2388, CVE-2021-2432

IAVA: 2021-A-0327-S